# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/customers/cus_x7k2m9p4q1w8e5r3t6y0u2i4/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/agreements/aagr_2k9m4p7q1w8e5r3t6y0u2i4" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"object": "agreement",
"id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"title": "Partner Platform Agreement (Non-US)",
"version": "v1",
"content_url": "https://docs.platform.example/agreements/partner-platform-agreement-non-us-v1.pdf",
"status": "pending",
"responded_at": null,
"created_at": "2026-06-22T08:30:00Z",
"updated_at": "2026-06-22T08:30:00Z"
}
Agreements
Get Agreement
Fetch one assigned agreement for an account
GET
/
va
/
v1
/
customers
/
{customer_id}
/
accounts
/
{account_id}
/
agreements
/
{agreement_id}
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/customers/cus_x7k2m9p4q1w8e5r3t6y0u2i4/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/agreements/aagr_2k9m4p7q1w8e5r3t6y0u2i4" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"object": "agreement",
"id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"title": "Partner Platform Agreement (Non-US)",
"version": "v1",
"content_url": "https://docs.platform.example/agreements/partner-platform-agreement-non-us-v1.pdf",
"status": "pending",
"responded_at": null,
"created_at": "2026-06-22T08:30:00Z",
"updated_at": "2026-06-22T08:30:00Z"
}
Returns one assigned agreement for the account.
Path Parameters
string
required
Identifier of the Platform customer (
cus_…).string
required
Identifier of the Platform end-customer account (
acct_…).string
required
Assigned agreement id (
aagr_…).Response
Returns 200 with an agreement object.string
Always
agreement.string
Assigned agreement id (
aagr_…).string
Agreement title.
string
Agreement version.
string
URL of the agreement document to render to the end customer.
enum
One of
pending, accepted, or rejected.string
ISO 8601 timestamp of the response;
null while pending.string
ISO 8601 timestamp when the agreement was assigned.
string
ISO 8601 timestamp when the agreement was last updated.
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/customers/cus_x7k2m9p4q1w8e5r3t6y0u2i4/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/agreements/aagr_2k9m4p7q1w8e5r3t6y0u2i4" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"object": "agreement",
"id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"title": "Partner Platform Agreement (Non-US)",
"version": "v1",
"content_url": "https://docs.platform.example/agreements/partner-platform-agreement-non-us-v1.pdf",
"status": "pending",
"responded_at": null,
"created_at": "2026-06-22T08:30:00Z",
"updated_at": "2026-06-22T08:30:00Z"
}